CMSIS DSP Software Library: Vector Fill

Functions

# Vector Fill
[Support Functions]

## Functions

void | arm_fill_f32 (float32_t value, float32_t *pDst, uint32_t blockSize)
void | arm_fill_q31 (q31_t value, q31_t *pDst, uint32_t blockSize)
void | arm_fill_q15 (q15_t value, q15_t *pDst, uint32_t blockSize)
void | arm_fill_q7 (q7_t value, q7_t *pDst, uint32_t blockSize)

## Detailed Description

Fills the destination vector with a constant value.

     	pDst[n] = value;   0 <= n < blockSize.

There are separate functions for floating point, Q31, Q15, and Q7 data types.

## Function Documentation

void arm_fill_f32 | ( | float32_t | value,
|  | float32_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Fills a constant value into a floating-point vector.

Parameters:

  [in] | value | input value to be filled
  [out] | *pDst | points to output vector
  [in] | blockSize | length of the output vector

Returns:
  none.

Examples:
  arm_convolution_example_f32.c, and arm_variance_example_f32.c.

Definition at line 66 of file arm_fill_f32.c.

void arm_fill_q31 | ( | q31_t | value,
|  | q31_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Fills a constant value into a Q31 vector.

Parameters:

  [in] | value | input value to be filled
  [out] | *pDst | points to output vector
  [in] | blockSize | length of the output vector

Returns:
  none.

Definition at line 53 of file arm_fill_q31.c.

void arm_fill_q15 | ( | q15_t | value,
|  | q15_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Fills a constant value into a Q15 vector.

Parameters:

  [in] | value | input value to be filled
  [out] | *pDst | points to output vector
  [in] | blockSize | length of the output vector

Returns:
  none.

Definition at line 53 of file arm_fill_q15.c.

void arm_fill_q7 | ( | q7_t | value,
|  | q7_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Fills a constant value into a Q7 vector.

Parameters:

  [in] | value | input value to be filled
  [out] | *pDst | points to output vector
  [in] | blockSize | length of the output vector

Returns:
  none.

Definition at line 53 of file arm_fill_q7.c.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines